﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@using System.Web.UI.WebControls;


@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@model Toyota.Common.Web.MVC.ModelHolder
           
 @*fid.marini 23/10/2012*@
 @*fid.cytta 16/11/2012*@ 

 @section Script{
    $(document).ready(function(){
        PoToBeReleased.Refresh();
        PoToBeReleased2.Refresh();
    });
    }

    <div style=" padding-right:3px; padding-right:1px; padding-bottom:8px">
        <table width="100%">
            <tr>
                @*<td>               
                       @Html.DevExpress().RoundPanel(
                        settings =>
                        {
                            settings.Name = "MONTHLY";
                            settings.HeaderText = "MONTHLY";
                            settings.ShowHeader = true;
                            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                            settings.Width = Unit.Percentage(100);
                            settings.SetContent(() =>
                            {
                                Html.RenderAction("PoToBeReleasedPartial", "PODashboard");
                            });
                        }).GetHtml()
                </td>                
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().RoundPanel(
                        settings =>
                        {
                            settings.Name = "CPO";
                            settings.HeaderText = "CPO";
                            settings.ShowHeader = true;
                            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                            settings.Width = Unit.Percentage(100);
                            settings.SetContent(() =>
                            {
                                Html.RenderAction("PoToBeReleasedPartial2", "PODashboard");
                            });
                        }).GetHtml() 
                </td>                *@

                <td>
                @* @Html.DevExpress().PageControl(
                        settings =>
                        {
                            settings.Name = "TabOrder";
                            settings.Width = Unit.Percentage(100);
                            settings.Height = Unit.Percentage(100);
                            settings.TabPages.Add("Regular Driver").SetContent(() =>
                            {
                                Html.RenderAction("DCLScreenMaster", Model);
                            });
                            
                            settings.TabPages.Add("Additional Driver").SetContent(() =>
                            {
                                Html.RenderAction("DCLScreenAddMaster", Model);
                            
                            });*@

                       @* }).GetHtml()*@

                        @Html.DevExpress().PageControl(
                        settings =>
                        {
                            settings.Name = "TabOrder";
                            settings.Width = Unit.Percentage(100);

                            settings.TabPages.Add("Monthly").SetContent(() =>
                            {

                                @Html.DevExpress().GridView(
                        setting =>
                        {
                            setting.Name = "PoToBeReleased";
                            setting.CallbackRouteValues = new { Controller = "PODashboard", Action = "PoToBeReleasedPartial" };
                            setting.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            setting.Settings.ShowVerticalScrollBar = false;
                            //settings.CommandColumn.Caption = " ";
                            //settings.CommandColumn.Visible = true;
                            //settings.CommandColumn.ShowSelectCheckbox = true;

                            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                            setting.Width = Unit.Percentage(100);

                            setting.SettingsPager.PageSizeItemSettings.Visible = true;
                            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

                            setting.Columns.Add("ViewDetail", "Action", MVCxGridViewColumnType.HyperLink);
                            setting.Columns["ViewDetail"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            
                            //setting.Columns.Add(
                            //    dt =>
                            //    {
                            //        dt.Caption = "Action";
                            //        dt.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            //        dt.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                            //        int counter = 0;
                            //        dt.SetDataItemTemplateContent(c =>
                            //        {
                            //            Html.DevExpress().Button(
                            //                edit =>
                            //                {
                            //                    edit.Name = "View" + (++counter);
                            //                    edit.Text = "View";
                            //                    edit.Width = Unit.Pixel(80);

                            //                }).Render();
                            //        });
                            //    });

                            setting.Columns.AddBand(
                               field =>
                               {
                                   field.Caption = "Status";

                                   field.Columns.Add(
                                       sh =>
                                       {
                                           sh.Caption = "SH";
                                           sh.SetDataItemTemplateContent(
                                               dtSH =>
                                               {
                                                   Html.DevExpress().Image(
                                                       img =>
                                                       {
                                                           //img.ImageUrl="~/Content/Images/Green.png";
                                                           img.ImageUrl = "~/Content/Images/Green_1.png";
                                                       }).Render();
                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                       });
                                   //field.Columns["SH"].Width = Unit.Pixel(50);

                                   field.Columns.Add(
                                       sh =>
                                       {
                                           sh.Caption = "DpH";
                                           sh.SetDataItemTemplateContent(
                                               dtDPH =>
                                               {
                                                   Html.DevExpress().Image(
                                                       img =>
                                                       {
                                                           //img.ImageUrl = "~/Content/Images/yellow.png";
                                                           img.ImageUrl = "~/Content/Images/yellow_1.png";
                                                       }).Render();
                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                       });
                                   //field.Columns["DpH"].Width = Unit.Pixel(50);

                                   field.Columns.Add(
                                       sh =>
                                       {
                                           sh.Caption = "DH";
                                           sh.SetDataItemTemplateContent(
                                               dtDH =>
                                               {
                                                   Html.DevExpress().Image(
                                                       img =>
                                                       {
                                                           img.ImageUrl = "~/Content/Images/red.png";
                                                       }).Render();
                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                       });
                                   //field.Columns["DH"].Width = Unit.Pixel(50);

                               });


                            setting.Columns.Add("Description", "Description", MVCxGridViewColumnType.TextBox);
                            setting.Columns["Description"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            setting.Columns.Add("PODate", "PO Date", MVCxGridViewColumnType.TextBox);
                            setting.Columns["PODate"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            setting.Columns.Add("Year", "PO Year", MVCxGridViewColumnType.TextBox);
                            setting.Columns["Year"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                            setting.Settings.ShowColumnHeaders = true;
                            setting.SettingsPager.FirstPageButton.Visible = true;
                            setting.SettingsPager.LastPageButton.Visible = true;
                            setting.SettingsPager.ShowNumericButtons = true;
                        }
                    ).Bind(Model.GetModel<Portal.Models.PO.POApprovalModel>().PurchasingOrders).GetHtml();
                            });
                            settings.TabPages.Add("CPO").SetContent(() =>
                            {

                                @Html.DevExpress().GridView(
                                                        setting =>
                                                        {
                                                            setting.Name = "PoToBeReleased2";
                                                            setting.CallbackRouteValues = new { Controller = "PODashboard", Action = "PoToBeReleasedPartial2" };
                                                            setting.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                                                            setting.Settings.ShowVerticalScrollBar = false;
                                                            //setting.CommandColumn.Caption = " ";
                                                            //setting.CommandColumn.Visible = true;
                                                            //setting.CommandColumn.ShowSelectCheckbox = true;

                                                            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                                                            setting.Width = Unit.Percentage(100);

                                                            setting.SettingsPager.PageSizeItemSettings.Visible = true;
                                                            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                                                            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";


                                                            setting.Columns.Add(
                                                                dt =>
                                                                {
                                                                    dt.Caption = "Action2";
                                                                    dt.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                                                    dt.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                                                                    int counter = 0;
                                                                    dt.SetDataItemTemplateContent(c =>
                                                                    {
                                                                        Html.DevExpress().Button(
                                                                            edit =>
                                                                            {
                                                                                edit.Name = "View2" + (++counter);
                                                                                edit.Text = "View";
                                                                                edit.Width = Unit.Pixel(80);
                                                                            }).Render();
                                                                    });
                                                                });

                                                            setting.Columns.AddBand(
                                                               field =>
                                                               {
                                                                   field.Caption = "Status";
                                                                   field.Columns.Add(
                                                                       sh =>
                                                                       {
                                                                           sh.Caption = "SH";
                                                                           sh.SetDataItemTemplateContent(
                                                                               dtSH =>
                                                                               {
                                                                                   Html.DevExpress().Image(
                                                                                       img =>
                                                                                       {
                                                                                           img.ImageUrl = "~/Content/Images/Green.png";
                                                                                       }).Render();
                                                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                                                       });
                                                                   //field.Columns["SH"].Width = Unit.Pixel(50);

                                                                   field.Columns.Add(
                                                                       sh =>
                                                                       {
                                                                           sh.Caption = "DPH";
                                                                           sh.SetDataItemTemplateContent(
                                                                               dtDPH =>
                                                                               {
                                                                                   Html.DevExpress().Image(
                                                                                       img =>
                                                                                       {
                                                                                           img.ImageUrl = "~/Content/Images/red.png";
                                                                                       }).Render();
                                                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                                                       });
                                                                   //field.Columns["DPH"].Width = Unit.Pixel(50);

                                                                   field.Columns.Add(
                                                                       sh =>
                                                                       {
                                                                           sh.Caption = "DH";
                                                                           sh.SetDataItemTemplateContent(
                                                                               dtDH =>
                                                                               {
                                                                                   Html.DevExpress().Image(
                                                                                       img =>
                                                                                       {
                                                                                           img.ImageUrl = "~/Content/Images/red.png";
                                                                                       }).Render();
                                                                               }); sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                                                       });
                                                                   //field.Columns["DH"].Width = Unit.Pixel(50);

                                                               });

                                                            setting.Columns.Add("Description2", "Description", MVCxGridViewColumnType.TextBox);
                                                            setting.Columns["Description2"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                                            setting.Columns.Add("PODate2", "PO Date", MVCxGridViewColumnType.TextBox);
                                                            setting.Columns["PODate2"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                                            setting.Columns.Add("Year2", "PO Year", MVCxGridViewColumnType.TextBox);
                                                            setting.Columns["Year2"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                                            setting.Settings.ShowColumnHeaders = true;
                                                            setting.SettingsPager.FirstPageButton.Visible = true;
                                                            setting.SettingsPager.LastPageButton.Visible = true;
                                                            //settings.SettingsPager.PageSize = 10;
                                                            setting.SettingsPager.ShowNumericButtons = true;
                                                        }
                                                    ).Bind(Model.GetModel<Portal.Models.PO.POApprovalModel>().PurchasingOrders).GetHtml();
                            });
                            //settings.TabPages.Add("Component Part Order").SetContent(() =>
                            //{
                            //    @Html.DevExpress().GridView(
                            //            setting =>
                            //            {
                            //                setting.Name = "CPODataGrid";
                            //                setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                            //                setting.Width = Unit.Percentage(100);
                            //                setting.KeyFieldName = "Supplier_code1";
                            //                setting.CommandColumn.ShowSelectCheckbox = true;
                            //                setting.SettingsDetail.AllowOnlyOneMasterRowExpanded = false;
                            //                setting.SettingsDetail.ShowDetailRow = true;
                            //                setting.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.TopAndBottom;

                            //                setting.CallbackRouteValues = new { Controller = "DailyOrder", Action = "CPODataGrid" };
                            //                setting.Settings.ShowVerticalScrollBar = false;
                            //                setting.Settings.VerticalScrollableHeight = 250;
                            //                setting.SettingsPager.Position = PagerPosition.Bottom;
                            //                setting.SettingsPager.FirstPageButton.Visible = true;
                            //                setting.SettingsPager.LastPageButton.Visible = true;

                            //                setting.Settings.ShowFilterRow = true;
                            //                setting.Settings.ShowFilterRowMenu = true;
                            //                setting.CommandColumn.Visible = true;
                            //                setting.CommandColumn.ClearFilterButton.Visible = true;

                            //                setting.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
                            //                setting.SettingsPager.FirstPageButton.Visible = true;
                            //                setting.SettingsPager.LastPageButton.Visible = true;
                            //                setting.SettingsPager.ShowNumericButtons = true;

                            //                setting.SettingsPager.PageSizeItemSettings.Visible = true;
                            //                setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                            //                setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

                            //                setting.SetDetailRowTemplateContent(
                            //                c =>
                            //                {
                            //                    Html.RenderAction("CPODetailGrid", "DailyOrder", new { SupplierCode = DataBinder.Eval(c.DataItem, "Supplier_code1") });
                            //                });

                            //                //setting.Columns.Add("Order_Release_Date_CPO", "Order Release Date");
                            //                //setting.Columns["Order_Release_Date_CPO"].CellStyle.Wrap = DefaultBoolean.False;
                            //                //setting.Columns["Order_Release_Date_CPO"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            //                setting.Columns.Add("Supplier_code1", "Supplier Code");
                            //                setting.Columns["Supplier_code1"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                            //                setting.Columns.Add("Total_Manifest1", "Total Manifest", MVCxGridViewColumnType.SpinEdit);
                            //                setting.Columns.Add("Order_Plan_Qty1", "Order Plan Qty", MVCxGridViewColumnType.SpinEdit);
                            //                setting.Columns.Add("Total_Record1", "Total Record", MVCxGridViewColumnType.SpinEdit);
                            //                setting.Columns.Add(
                            //                    column =>
                            //                    {
                            //                        column.FieldName = "Download_Flag1";
                            //                        column.Caption = "Download Flag";
                            //                        column.ColumnType = MVCxGridViewColumnType.ComboBox;
                            //                        var comboBoxProperties = column.PropertiesEdit as ComboBoxProperties;
                            //                        comboBoxProperties.TextField = "Download_Flag1";
                            //                        comboBoxProperties.ValueField = "Download_Flag1";
                            //                        comboBoxProperties.ValueType = typeof(string);
                            //                    });
                            //                setting.Columns["Download_Flag1"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            //                setting.Columns.Add("Download1", "Download");
                            //                setting.Columns["Download1"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                            //                setting.Columns.Add(
                            //                column =>
                            //                {
                            //                    column.Name = "Capability1";
                            //                    column.FieldName = "Capability1";
                            //                    column.Caption = "Capability";
                            //                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                            //                });
                            //                setting.Columns["Capability1"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                            //                setting.Columns.Add("Message1", "Notice");
                            //                setting.Columns["Message1"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                            //                int counter = 0;
                            //                setting.SetDataItemTemplateContent(D =>
                            //                {
                            //                    string fieldName = D.Column.FieldName;
                            //                    if (fieldName.Equals("Download1"))
                            //                    {
                            //                        Html.DevExpress().Image(
                            //                            img =>
                            //                            {
                            //                                img.ImageUrl = "~/Content/Images/csv_icon.png";
                            //                            }).Render();
                                                    
                            //                        Html.DevExpress().Image(
                            //                            img =>
                            //                            {
                            //                                img.ImageUrl = "~/Content/Images/pdf_icon.png";
                            //                            }).Render();

                            //                    }
                            //                    else if (fieldName.Equals("Message1"))
                            //                    {
                            //                        Html.DevExpress().HyperLink(
                            //                            linkSettings =>
                            //                            {
                            //                                linkSettings.Name = "lnkCPOMessage" + counter;
                            //                                linkSettings.Properties.Text = Convert.ToString(DataBinder.Eval(D.DataItem, "Message1"));
                            //                                linkSettings.NavigateUrl = "#";
                            //                            }
                            //                        ).Render();
                            //                    }
                            //                    else if (fieldName.Equals("Capability1"))
                            //                    {
                            //                        Html.DevExpress().ComboBox(
                            //                            comboSettings =>
                            //                            {
                            //                                comboSettings.Name = "cbCapability1" + counter;
                            //                                comboSettings.Properties.Items.AddRange(new string[] { "Yes", "No" });
                            //                                comboSettings.Width = Unit.Pixel(70);
                            //                            }
                            //                        ).Render();
                            //                    }
                            //                    else
                            //                    {
                            //                        Html.DevExpress().Label(
                            //                            labelSettings =>
                            //                            {
                            //                                labelSettings.Name = fieldName + "CPO" + counter;
                            //                                labelSettings.Text = Convert.ToString(DataBinder.Eval(D.DataItem, fieldName));
                            //                            }
                            //                        ).Render();
                            //                    }
                            //                    counter++;
                            //                });


                            //            }).Bind(Model.GetModel<Portal.Models.DailyOrder.DailyOrderModel>().ComponentPartOrders).GetHtml();
                            //});
                        }).GetHtml()
                    </td>
            </tr>
        </table>
    </div>